/*
 * session.h
 *
 * Function declarations for session.c
 *
 * Copyright (c) 2003 Todd MacDermid <tmacd@synacklabs.net> 
 *
 */

#ifndef SESSION_H
#define SESSION_H


struct morph_session {
  struct addr remote_ip;
  uint32_t seq_offset;   
  int tcp_state;          /* Defined above */
  uint16_t proxy_port;    /* Used in PP_FAKEIP mode */
  uint16_t remote_port;
  uint16_t local_port;
};

struct morph_session * morph_session_add(struct packetp_ctx *, 
					 struct morph_ctx *, uint8_t *);

void morph_session_del(struct morph_ctx *, struct packetp_ctx *);

struct morph_session *morph_session_find(uint8_t *, struct morph_ctx *, 
					 int, struct packetp_ctx *);



#endif /* SESSION_H */
